Bug 42473 - RFE - altered missing rpm-build package reporting
RFE - altered missing rpm-build package reporting
Product: Red Hat Linux
Classification: Retired
Component: rpm-build (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2001-05-27 13:05 EDT by R P Herrold
Modified: 2007-03-26 23:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-05-28 12:02:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2001-05-27 13:05:54 EDT
Description of Problem:

Several people have run into the absence of rpm-build with the recent split
of packages.  The generic rpm listing of various options is not very
helpful in helping them self-diagnose the missing package

How Reproducible:

attempt a build without installing rpm-build

Additional Information:
How about a more direct error message when rpm-build is not installed, and
a -bX or -rebuild option is used, along the lines of:

   rpm: Cannot rebuild without installation of rpm-build package
Comment 1 R P Herrold 2001-05-27 13:07:51 EDT
The impetus for filing this bug is the ongoing confusion by casual RPM
rebuilders evidenced on the rpm-list, again, today.
Comment 2 Jeff Johnson 2001-05-28 13:45:18 EDT
The popt interface does not permit detecting that /usr/lib/rpm/rpmb
is not installed. What needs fixing is to have people start typing
rpmbuild rather than rpm. Attempting to alleviate the pain, even
for "casual RPM rebuilders", is only going to prolong the agony,
as rpm build modes were separated from the rest of rpm almost
a year ago ...

Note You need to log in before you can comment on or make changes to this bug.